//
//  AppnextNativeAdsSwiftTestTableViewCell.swift
//  AppnextNativeAdsSDKSwiftTest
//
//  Created by Eran Mausner on 29/08/2016.
//  Copyright © 2016 Appnext. All rights reserved.
//

import UIKit

protocol AppnextNativeAdsSwiftTestTableViewCellDelegate : NSObjectProtocol {
    func adClicked(cell : AppnextNativeAdsSwiftTestTableViewCell)
    func impressionClicked(cell : AppnextNativeAdsSwiftTestTableViewCell)
    func videoStartedClicked(cell : AppnextNativeAdsSwiftTestTableViewCell)
    func videoEndedClicked(cell : AppnextNativeAdsSwiftTestTableViewCell)
}

class AppnextNativeAdsSwiftTestTableViewCell: UITableViewCell {

    var adData: AppnextAdData?
    var delegate: AppnextNativeAdsSwiftTestTableViewCellDelegate?
    
    @IBOutlet var adTitleLabel: UILabel!
    @IBOutlet var adDescriptionLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        // Configure the view for the selected state
    }

    func reloadViews() {
        if let data = self.adData {
            if (data.title.characters.count > 0) {
                self.adTitleLabel.text = data.title
            }
            if (data.desc.characters.count > 0) {
                self.adDescriptionLabel.text = data.desc
            }
        }
    }

    // MARK: Actions

    @IBAction func adClicked(sender: AnyObject) {
        if (self.delegate?.respondsToSelector(#selector(AppnextNativeAdsSwiftTestTableViewCell.impressionClicked(_:))) != nil) {
            self.delegate?.adClicked(self)
        }
    }

    @IBAction func impressionClicked(sender: AnyObject) {
        if (self.delegate?.respondsToSelector(#selector(AppnextNativeAdsSwiftTestTableViewCell.adClicked(_:))) != nil) {
            self.delegate?.impressionClicked(self)
        }
    }

    @IBAction func videoStartedClicked(sender: AnyObject) {
        if (self.delegate?.respondsToSelector(#selector(AppnextNativeAdsSwiftTestTableViewCell.videoStartedClicked(_:))) != nil) {
            self.delegate?.videoStartedClicked(self)
        }
    }

    @IBAction func videoEndedClicked(sender: AnyObject) {
        if (self.delegate?.respondsToSelector(#selector(AppnextNativeAdsSwiftTestTableViewCell.videoEndedClicked(_:))) != nil) {
            self.delegate?.videoEndedClicked(self)
        }
    }
}
